Summary:	Netscape Portable Runtime
Name:		nspr
Version:	4.9.1
Release:	6%{?dist}
License:	MPLv2.0
URL:		http://www.mozilla.org/projects/nspr/
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# Sources available at ftp://ftp.mozilla.org/pub/mozilla.org/nspr/releases/
# When CVS tag based snapshots are being used, refer to CVS documentation on
# mozilla.org and check out subdirectory mozilla/nsprpub.
Source0:	%{name}-%{version}.tar.bz2

Patch1:         nspr-config-pc.patch
Patch2:         nspr-633519.patch

Provides:	mozilla-nspr
Obsoletes:	mozilla-nspr

%description
NSPR provides platform independence for non-GUI operating system 
facilities. These facilities include threads, thread synchronization, 
normal file and network I/O, interval timing and calendar time, basic 
memory management (malloc and free) and shared library linking.

%package devel
Summary:	Development libraries for the Netscape Portable Runtime
Group:		Development/Libraries
Requires:	nspr = %{version}-%{release}
Provides:	mozilla-nspr-devel
Obsoletes:	mozilla-nspr-devel

%description devel
Header files for doing development with the Netscape Portable Runtime.

%prep

%setup -q

# Original nspr-config is not suitable for our distribution,
# because on different platforms it contains different dynamic content.
# Therefore we produce an adjusted copy of nspr-config that will be 
# identical on all platforms.
# However, we need to use original nspr-config to produce some variables
# that go into nspr.pc for pkg-config.

cp ./mozilla/nsprpub/config/nspr-config.in ./mozilla/nsprpub/config/nspr-config-pc.in
%patch1 -p0
%patch2 -p0

%build

./mozilla/nsprpub/configure \
                 --prefix=%{_prefix} \
                 --libdir=%{_libdir} \
                 --includedir=%{_includedir}/nspr4 \
%ifarch x86_64 ppc64 ia64 s390x
                 --enable-64bit \
%endif
                 --enable-optimize="$RPM_OPT_FLAGS" \
                 --disable-debug

make

%install

# Crack-tastic!

DESTDIR=$RPM_BUILD_ROOT \
  make install

NSPR_LIBS=`./config/nspr-config --libs`
NSPR_CFLAGS=`./config/nspr-config --cflags`
NSPR_VERSION=`./config/nspr-config --version`
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

# Get rid of the things we don't want installed (per upstream)
%{__rm} -rf \
   $RPM_BUILD_ROOT/%{_bindir}/compile-et.pl \
   $RPM_BUILD_ROOT/%{_bindir}/prerr.properties \
   $RPM_BUILD_ROOT/%{_libdir}/libnspr4.a \
   $RPM_BUILD_ROOT/%{_libdir}/libplc4.a \
   $RPM_BUILD_ROOT/%{_libdir}/libplds4.a \
   $RPM_BUILD_ROOT/%{_datadir}/aclocal/nspr.m4 \
   $RPM_BUILD_ROOT/%{_includedir}/nspr4/md

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libnspr4.so
%{_libdir}/libplc4.so
%{_libdir}/libplds4.so

%files devel
%defattr(-, root, root)
%{_includedir}/nspr4
%{_libdir}/pkgconfig/nspr.pc
%{_bindir}/nspr-config

%changelog
* Tue Jul 24 2012 Kai Engert <kaie@redhat.com> - 4.9.1-6
- Resolves: rhbz#633519 - pthread_key_t leak and memory corruption

* Tue Jul 11 2012 Elio Maldonado <emaldona@redhat.com> - 4.9.1-5
- Resolves: rhbz#831654 - Fix %%post and %%postun
- Updated License: to MPLv2.0 per upstream

* Fri Jun 22 2012 Elio Maldonado <emaldona@redhat.com> - 4.9.1-4
- Resolves: rhbz#831654 - Pick up fixes from the rhel-5.8 branch
- Regenerated nspr-config-pc.patch passes the the rpmdiff tests

* Fri Jun 22 2012 Elio Maldonado <emaldona@redhat.com> - 4.9.1-3
- Resolves: rhbz#831654 - restore top section of nspr-config-pc.patch
- Needed to prevent multilib regressions 

* Thu Jun 21 2012 Elio Maldonado <emaldona@redhat.com> - 4.9.1-2
- Resolves: rhbz#831654 - revert unwanted changes to nspr.pc
- Change -L@libdir@/nspr4 to -L@libdir@ in the patch

* Mon Jun 18 2012 Elio Maldonado <emaldona@redhat.com> - 4.9.1-1
- Update to NSPR_4_9_1_RTM
- Resolves: rhbz#831654

* Mon Jun 18 2012 Elio Maldonado <emaldona@redhat.com> - 4.8.9-1
- rebuilt

* Sun Jan 29 2012 Elio Maldonado Batiz <emaldona@redhat.com> - 4.8.9-1
- Resolves: Bug 772945 - [RFE] Async update nspr to make firefox 10 LTS rebase possible
- Update to 4.8.9
* Thu Dec 08 2011 Elio Maldonado <emaldona@redhat.com> - 4.8.8-2
- Bumping the relase tag so it's higher than the one in 5.7-z
* Mon Jul 11 2011 Elio Maldonado <emaldona@redhat.com> - 4.8.8-1
- Update to 4.8.8
* Thu Aug 24 2010 Kai Engert <kaie@redhat.com> - 4.8.6-1
- update to 4.8.6
* Sun Feb 21 2010 Elio Maldonado <emaldona@redhat.com> - 4.8.4-1
- Update to NSPR 4.8.4
* Thu Aug 27 2009 Kai Engert <kengert@redhat.com> - 4.7.5-1
- Update to NSPR 4.7.5
* Fri May 08 2009 Kai Engert <kengert@redhat.com> - 4.7.4-1
- Update to NSPR 4.7.4
* Wed Dec 10 2008 Kai Engert <kengert@redhat.com> - 4.7.3-2
- Update to NSPR 4.7.3
* Fri Jun 13 2008 Kai Engert <kengert@redhat.com> - 4.7.1-1
- Update to NSS_3_12_RC4
* Mon Mar 17 2008 Kai Engert <kengert@redhat.com> - 4.7.0.99.2-1
- Update to NSPR_4_7_1_BETA2
* Wed Feb 22 2008 Kai Engert <kengert@redhat.com> - 4.7.0.99.1-1
- NSPR 4.7.1 Beta 1
* Wed Feb 13 2008 Kai Engert <kengert@redhat.com> - 4.7-1
- NSPR 4.7

* Fri Jan 25 2008 Kai Engert <kengert@redhat.com> - 4.6.99.3-1
- NSPR 4.7 beta snapshot 20080120

* Thu Jan 17 2008 Kai Engert <kengert@redhat.com> - 4.6.99.2-1
- Upgrade to NSPR 4.7 beta

* Fri Nov 30 2007 Kai Engert <kengert@redhat.com> - 4.6.5-4
- Use a saver patch for the thread local storage issue, rhbz#251070

* Fri May 25 2007 Kai Engert <kengert@redhat.com> - 4.6.5-3
- Add upstream patch to fix IPv6 support (rhbz#229170)

* Wed Jan 24 2007 Kai Engert <kengert@redhat.com> - 4.6.5-1
- Update to 4.6.5

* Tue Dec 05 2006 Kai Engert <kengert@redhat.com> - 4.6.4-3
- Fix a thread local storage issue, rhbz#216718

* Tue Nov 28 2006 Kai Engert <kengert@redhat.com> - 4.6.4-2
- Use dist suffix for release version

* Tue Nov 28 2006 Kai Engert <kengert@redhat.com> - 4.6.4-1
- Update to 4.6.4

* Thu Sep 14 2006 Kai Engert <kengert@redhat.com> - 4.6.3-1
- Update to 4.6.3

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 4.6.2-1.1
- rebuild

* Fri May 26 2006 Kai Engert <kengert@redhat.com> - 4.6.2-1
- Update to 4.6.2
- Tweak nspr-config to be identical on all platforms.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 4.6.1-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 4.6.1-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan  5 2006 Kai Engert <kengert@redhat.com> 4.6.1-2
- Do not use -ansi when compiling, because of a compilation
  problem with latest glibc and anonymous unions.
  See also bugzilla.mozilla.org # 322427.

* Wed Jan  4 2006 Kai Engert <kengert@redhat.com>
- Add an upstream patch to fix gcc visibility issues.

* Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com>
- Stop shipping static libraries; NSS and dependencies no longer
  require static libraries to build.

* Thu Dec 15 2005 Christopher Aillon <caillon@redhat.com> 4.6.1-1
- Update to 4.6.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Jul 15 2005 Christopher Aillon <caillon@redhat.com> 4.6-4
- Use the NSPR version numbering scheme reported by NSPR,
  which unfortunately is not exactly the same as the real
  version (4.6 != 4.6.0 according to RPM and pkgconfig).

* Fri Jul 15 2005 Christopher Aillon <caillon@redhat.com> 4.6-3
- Correct the CFLAGS reported by pkgconfig

* Tue Jul 12 2005 Christopher Aillon <caillon@redhat.com> 4.6-2
- Temporarily include the static libraries allowing nss and 
  its dependencies to build. 

* Tue Jul 12 2005 Christopher Aillon <caillon@redhat.com> 4.6-1
- Update to NSPR 4.6

* Wed Apr 20 2005 Christopher Aillon <caillon@redhat.com> 4.4.1-2
- NSPR doesn't have make install, but it has make real_install.  Use it.

* Thu Apr 14 2005 Christopher Aillon <caillon@redhat.com> 4.4.1-1
- Let's make an RPM.
